using MWS.Library.Common;
using MWS.Library.Common.Module;
using MWS.Model.Dto;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace MWS.Data.InterFace
{
    public interface IAlert : IDapperHelper
    {
        int UpdateStatus(int tagId);
        int UpdateStatus(List<int> tagIds);


        PageData<RealTimeAlertDto> GetAllRecords(int mecType, int alertType, DateTime? beginTime, DateTime? endTime, int pageIndex, int pageSize);

        List<RealTimeAlertDto> GetAllExportRecords(int mecType, int alertType, DateTime? beginTime, DateTime? endTime);
        int GetAllCount(int mecType, int alertType, DateTime? beginTime, DateTime? endTime);
    }
}
